<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.UserTradeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userTradeResultMap" type="org.springblade.modules.finance.entity.UserTrade">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="type" property="type"/>
        <result column="account" property="account"/>
        <result column="account_name" property="accountName"/>
        <result column="money" property="money"/>
        <result column="cash_from" property="cashFrom"/>
        <result column="status" property="status"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="body" property="body"/>
        <result column="pay_id" property="payId"/>
        <result column="out_trade_no" property="outTradeNo"/>
    </resultMap>


    <select id="selectUserTradePage" resultMap="userTradeResultMap">
        select * from t_user_trade where is_deleted = 0
    </select>

</mapper>
